@ECHO OFF

PATH %PATH%;%DESIRE%

:start
desire 1

if errorlevel 29 goto exit
if errorlevel 28 goto fax
if errorlevel 27 goto exit

goto utils

-------------------------------------------------------------------------
 dESiRE EXIT ERRORLEVELS:
   0 Normal Exit
   1 Modem init error

  27 Exit by sysop (ESC or F10)
  28 Fax connect
  99 Exit off hook
 100 Sysop exit (ALT-X)
 101 Modem not responding!
 102 Wrong parameters
 103 Path errors
 104 Share not installed
 105 Event "total quit"

 108 Memory error
 109 Overlay error
 110 Error creating directories
 111 Stringbase corrupt
 112 Stringbase not found, use CONV or MENUSET

-------------------------------------------------------------------------

REM room for utilities
:utils

goto start

:fax
REM Call a fax program

goto start

:exit
